extends Scene


func _on_island_beach_interacted() -> void:
	$kq4_035_island_beach.default_script(self)


func _on_island_shore_interacted() -> void:
	$kq4_041_island_shore.default_script(self)


func _on_fairy_island_interacted() -> void:
	$kq4_037_fairy_island.default_script(self)


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You are roaming through the wonderful island garden. Towering beside you is an enchanting ivory palace. You see an interesting statue within this part of the garden.")
	).build(self, "_on_script_complete"))


func _on_garden_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You are in a beautiful island garden. An enchanting ivory palace towers above you. There is also an interesting statue here.")
	).build(self, "_on_script_complete"))
